/* iir_main.c : Test bench for a simple IIR filter */


#include <stdio.h>
#include "pulse.h"
#include "filter.h"
double	x[1];
double	k[1] = {0.2};

int main(int argc, char* argv[]) {
	double t, u, y;
	FILE	*fp;

	fp = fopen("results.txt", "w");
	/* fprintf(fp, "%14s %14s %14s\n", "Time", "Input", "Output"); */

	for(t = 0.0; t <= 10.0; t += 0.2) {
		u = pulse(t);
/* filter() is the function I want to focus on */
		y = filter(u, x, k);
		fprintf(fp, "%14.6lf %14.6lf %14.6lf\n", t, u, y);
	}
	fclose(fp);
	
	printf("\n\niir_main: Done!!!\n\n\n");
	return 0;
}
