/* slicer_main.c : Test bench for a memoryless function, slicer() */

#include <stdio.h>
#include "sig_gen.h"
#include "slicer.h"

int main(int argc, char* argv[]) {
	double t, u, y;
	FILE	*fp;

	fp = fopen("results.txt", "w");
	fprintf(fp, "%14s %14s %14s\n", "Time", "Input", "Output");

	for(t = 0.0; t <= 10.0; t += 0.2) {
		u = sig_gen(t);
/* slicer() is the function I want to focus on */
		y = slicer(u);
		fprintf(fp, "%14.6lf %14.6lf %14.6lf\n", t, u, y);
	}
	fclose(fp);
	
	printf("\n\nslicer_main: Done!!!\n\n\n");
	return 0;
}
