#include "filter.h"

double output(const double *x)
{
	return x[0];
}

void update(double u, double *x, const double *k)
{
	x[0] = k[0] * u + (1-k[0]) * x[0];
	return;
}

double filter(double u, double *x, const double *k)
{
	double y;
	y = output(x);
	update(u, x, k);
	return y;
}